#include <string>
#include <print>

using namespace std::string_literals;

// Schnittstelle der Klasse importieren
 import Chart;

// Dateiname der Hitparadendatei
const std::string FILENAME = "../../04_Data/swr1_hitparade.csv"s;

int main()
{
    // Chart-Objekt definieren
    // Erhaelt den Namen der Hitparadendatei und die Anzahl
    // der einzulesenden Titel
    Chart chart(FILENAME,10);

    // Titelinformation aus Hitparaden-Datei einlesen
    // und wenn erfolgreich, Daten ausgeben
    if (chart.ReadChart())
        chart.PrintEntries();
    else
        std::println("Fehler beim Einlesen der Datei {}", FILENAME);
}
